Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	D2XX direct drivers for FTDI devices
Name:		libftd2xx
Version:	1.0.4
Release:	1
License:	as is
Group:		System/Libraries
Source0:	http://www.ftdichip.com/Drivers/D2XX/Linux/%{name}%{version}.tar.gz
URL:		http://www.ftdichip.com/Drivers/D2XX.htm
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

Patch0:		libftd2xx-ever.patch

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
D2XX drivers allow direct access to the USB device through a DLL.
Application software can access the USB device through a series of
library function calls. This library supports FT232R, FT245R, FT2232,
FT232B, FT245B, FT8U232AM, FT8U245AM.

NOTE: this library is released without source code. It's meant
primarily to ease porting of Windows applications. For your projects
use Open Source libftdi instead.

%package	devel
Summary:	Header files for ftd2xx library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header files for ftd2xx library.

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%prep
%setup -q -n %{name}%{version}
%patch0 -p1

# kill precompiled objects which have sources included
rm lib_table/{*.o,*.so} sample/Simple/simple

%build
make -C lib_table CC="cc" CFLAGS="$RPM_OPT_FLAGS -DLINUX -D_RELEASE"

%install
rm -Rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%_libdir
install -d $RPM_BUILD_ROOT%_includedir/ftd2xx
install build/i386/libftd2xx.so.%{version} $RPM_BUILD_ROOT%_libdir
ln -s libftd2xx.so.%{version} $RPM_BUILD_ROOT%_libdir/libftd2xx.so.0
ln -s libftd2xx.so.%{version} $RPM_BUILD_ROOT%_libdir/libftd2xx.so
install lib_table/libd2xx_table.so $RPM_BUILD_ROOT%_libdir
install build/i386/libftd2xx.a $RPM_BUILD_ROOT%_libdir
install WinTypes.h ftd2xx.h $RPM_BUILD_ROOT%_includedir/ftd2xx
%ifarch x86_64
install -d $RPM_BUILD_ROOT%_prefix/lib64
install build/x86_64/libftd2xx.so.%{version} $RPM_BUILD_ROOT%_prefix/lib64
ln -s libftd2xx.so.%{version} $RPM_BUILD_ROOT%_prefix/lib64/libftd2xx.so.0
ln -s libftd2xx.so.%{version} $RPM_BUILD_ROOT%_prefix/lib64/libftd2xx.so
install build/x86_64/libftd2xx.a $RPM_BUILD_ROOT%_prefix/lib64/libftd2xx.a
%endif

%files
%defattr(644,root,root,755)
%doc Config.txt FAQ.txt README.dat ftd2xx.cfg
%_libdir/libftd2xx.so.*.*.*
%ghost %_libdir/libftd2xx.so.0
%_libdir/libd2xx_table.so
%ifarch x86_64
%_prefix/lib64/libftd2xx.so.*.*.*
%ghost %_prefix/lib64/libftd2xx.so.0
%endif

%files devel
%defattr(644,root,root,755)
%_libdir/libftd2xx.so
%ifarch x86_64
%_prefix/lib64/libftd2xx.so
%endif
%_libdir/libftd2xx.a
%_includedir/ftd2xx

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jun 06 2011 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-1
- Version update
* Tue Jan 18 2011 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-1
- Version update
* Sat Apr 18 2009 Christian Wasem <wasem@ccux-linunx.de> 0.4.16-1
- Initial release
